| Crypto-3.0.3: DES, Blowfish, AES, SHA1, MD5, RSA, X.509 Identity and Attribute Certificates, General ASN.1 Support, Base64, PKCS8, PKCS1v15, Hexdump, Support for Word128, Word192 and Word256 and Beyond, PKCS5 Padding, Various Encryption Modes e.g. Cipher Block Chaining all in one package. | Contents | Index
Codec.ASN1.PKCS8 |
Portability | non-portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Type declarations Function declarations
Description
Definitions to allow the typechecking of a PKCS8 private key and functions to extract information from it. See http://www.rsasecurity.com/rsalabs/pkcs/pkcs-8/.
Synopsis
data RSAPrivateKey = RSAPrivateKey {
version1 :: Integer
modulus :: Integer
publicExponent :: Integer
privateExponent :: Integer
prime1 :: Integer
prime2 :: Integer
exponent1 :: Integer
exponent2 :: Integer
coefficient :: Integer
}
data PrivateKeyInfo = PrivateKeyInfo {
version2 :: Version
privateKeyAlgorithm :: AlgorithmIdentifier
privateKey1 :: PrivateKey
attributes1 :: (Maybe Attributes)
}
rsaPrivateKey :: TypeDefn
privateKeyInfo :: TypeDefn
Type declarations
data RSAPrivateKey
Constructors
RSAPrivateKey |
version1 :: Integer |
modulus :: Integer |
publicExponent :: Integer |
privateExponent :: Integer |
prime1 :: Integer |
prime2 :: Integer |
exponent1 :: Integer |
exponent2 :: Integer |
coefficient :: Integer |
Instances
Encode RSAPrivateKey
Show RSAPrivateKey
data PrivateKeyInfo
Constructors
PrivateKeyInfo |
version2 :: Version |
privateKeyAlgorithm :: AlgorithmIdentifier |
privateKey1 :: PrivateKey |
attributes1 :: (Maybe Attributes) |
Instances
Encode PrivateKeyInfo
Show PrivateKeyInfo
Function declarations
rsaPrivateKey :: TypeDefn
privateKeyInfo :: TypeDefn
Produced by Haddock version 0.8